PKB - System Requirements for Online Courses, Study Plans, and Events
Reset Search

Featured Articles

 

Article

System Requirements for Online Courses, Study Plans, and Events

« Go Back

-

 
-
Review the general computer system requirements below to ensure an optimal experience with your online course features. If you’re enrolled in a Live Online Class or Event or a Nursing Integrated Testing (NIT) program, review those additional requirements below:
 
System Requirements

General
  • Adobe Flash Player 20.0 or higher (free download available at get.adobe.com/flashplayer)
  • Adobe Acrobat Reader DC 11+ (free download available at get.adobe.com/reader)
  • Screen resolution of 1024x768 or greater
  • Cookies and Javascript must be enabled
  • Chrome users: Click here to learn how to enable Flash. Flash must be enabled (no longer enabled by default) 
Bandwidth
  • Broadband connection 5 Mbps or higher
  • DSL / Cable / LAN wired connection is strongly recommended over wireless
Hardware Requirements for PC
  • 1.4GHz or faster processor
  • 512MB of RAM (1GB recommended)
Hardware Requirements for Mac
  • 1.83GHz Intel Core™ Duo or faster processor
  • 512MB of RAM (1GB recommended)
Recommended Operating Systems and Web Browsers
  • Microsoft Windows 7, 8, 10 / Google Chrome 51+
  • Mac OS X 10.9 or higher / Google Chrome 51+

Live Online Classroom/Event Recommendations
  • Listen to class sessions from your computer speakers or headphones
  • Install Adobe Connect Add-In 
  • Run a system check prior to your first session to ensure the best possible live online classroom experience

NIT Students Additional Requirements
  • Mac users sometimes report difficulty with the online program. Try using Chrome or FireFox instead of Safari.
  • Video Card: At least 64MB of video memory
  • Sound Card: At least 64-bit
  • Adobe Shockwave (free download available at get.adobe.com/shockwave)
  • Disable Pop-Up Blocker

System Requirements (Mobile/Tablet Devices)

The Kaplan Mobile Prep app is designed for studying on the go with your Apple device.
  • Download now from the United States and Canadian app store
  • Requires iOS 10.0 or later 
  • Compatible with iPhone, iPad, and iPod touch
  • This app is available for iOS devices. Our Android app will be available Spring 2018.


 

Feedback

 

Was this article helpful?


   

Your feedback is appreciated.

Please tell us how we can make this article more useful.

Characters Remaining: 255